textures/mr_sfx/mr_basicportal
{
	qer_editorimage textures/mexicano/emptyalpha.tga
	//q3map_lightimage textures/mexicano/lightcolour.tga
	//surfaceparm noimpact
	surfaceparm nolightmap
	//q3map_surfacelight 500
	portal
	//{
	//	map textures/mexicano/raindropripple3.tga
	//	blendfunc add
	//	tcgen environment
	//}

	{
		map textures/mexicano/emptyalpha.tga
		blendfunc blend
		//blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		rgbGen identityLighting
		depthWrite
		alphaGen portal 5000
	}
	{
		map textures/mr_dev/blk_25
		blendfunc blend
		//rgbGen identity
	}
}

textures/mr_sfx/mr_fakeportal
{
	qer_editorimage textures/mexicano/emptyalpha.tga
	//surfaceparm noimpact
	surfaceparm trans
	//surfaceparm nolightmap
	surfaceparm	nonsolid
	portal
	{
		map textures/mexicano/emptyalpha.tga
		blendfunc blend
		rgbGen identityLighting
		depthWrite
		alphaGen portal 1024
	}
}
textures/mr_plants/batleaf_w
{
	cull none
		deformVertexes wave 150 sin 0 1 0 .3
		surfaceparm alphashadow
		surfaceparm pointlight
		surfaceparm trans

		qer_editorImage models/mapobjects/multiplant/batleaf.tga
		qer_alphaFunc gequal 0.5

		{
			map models/mapobjects/multiplant/batleaf.tga
				rgbGen vertex
				alphaGen const 1.0
				//	rgbGen exactVertex
				alphaFunc GE128
				depthWrite
		}
}
textures/mr_liquids/blueslime
{
	qer_editorimage textures/liquids/blueslime.tga
		q3map_lightimage textures/liquids/blueslime.tga
		q3map_globaltexture
		qer_trans .5

		surfaceparm noimpact
		surfaceparm slime
		surfaceparm nolightmap
		surfaceparm trans

		q3map_surfacelight 100
		tessSize 32
		cull disable

		deformVertexes wave 100 sin 0 1 .5 .5

		{
			map textures/liquids/blueslimec.tga
				tcMod turb .3 .2 1 .05
				tcMod scroll .01 .01
		}

	{
		map textures/liquids/blueslime.tga
			blendfunc GL_ONE GL_ONE
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .01 .01
	}

	{
		map textures/liquids/bubbles.tga
			blendfunc GL_ZERO GL_SRC_COLOR
			tcMod turb .2 .1 .1 .2
			tcMod scale .05 .05
			tcMod scroll .001 .001
	}


}
textures/mr_liquids/blueslime_2000
{
	qer_editorimage	textures/liquids/blueslime
		sort banner
		qer_trans	0.8
		surfaceparm	nonsolid
		surfaceparm	nonopaque
		surfaceparm	slime
		surfaceparm	trans
		surfaceparm nolightmap
		q3map_material	Water
		q3map_surfacelight 2000
		tessSize	128
		cull disable
		deformvertexes normal 0.1 1.85
		deformvertexes wave 128 sin 0 1 0.3 0.2
		{
			map textures/liquids/blueslime.tga
				blendFunc GL_ONE GL_SRC_ALPHA
				rgbGen const ( 0.4 0.7 0.7 )
				alphaFunc GE128
				alphaGen const 1.0
				//tcmod scroll 0 -0.25
		}
	{
		map textures/arevass/cubemap.jpg
			tcGen environment
			rgbGen const ( 0.4 0.3 0.3 )
			blendFunc GL_ONE GL_ONE
	}
	{
		map textures/arevass/cubemap.jpg
			tcGen environment
			blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/mr_liquids/slime_2000
{
	qer_editorimage	textures/liquids/slime7
		sort banner
		qer_trans	0.8
		surfaceparm	nonsolid
		surfaceparm	nonopaque
		surfaceparm	slime
		surfaceparm	trans
		surfaceparm nolightmap
		q3map_material	Water
		q3map_surfacelight 2000
		tessSize	128
		deformvertexes normal 0.1 1.85
		deformvertexes wave 128 sin 0 1 0.3 0.5
		{
			map textures/liquids/slime7.tga
				blendFunc GL_ONE GL_SRC_ALPHA
				rgbGen const ( 0.4 0.9 0.5 )
				alphaFunc GE128
				alphaGen const 1.0
				tcmod scroll 0 -0.25
		}
	{
		map textures/arevass/cubemap.jpg
			tcGen environment
			rgbGen const ( 0.4 0.3 0.3 )
			blendFunc GL_ONE GL_ONE
	}
	{
		map textures/arevass/cubemap.jpg
			tcGen environment
			blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
	}
}
textures/mr_lights/mr_industlight01
{
	qer_editorimage textures/mr_lights/mr_light01.jpg
		q3map_lightimage textures/mr_lights/mr_light01_blend.jpg
		q3map_surfacelight 300
		surfaceparm nomarks
		{
			map textures/mr_lights/mr_light01.jpg
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
	{
		map textures/mr_lights/mr_light01_blend.jpg
			blendfunc GL_ONE GL_ONE
	}
}
textures/mr_lights/mr_lightinside_s
{
	qer_editorimage	textures/mr_lights/mr_lightinside.jpg

	{
		map textures/mr_lights/mr_lightinside.jpg
	}
	{
		map textures/arevass/cubemap.jpg
			tcGen environment
			rgbGen const ( 0.4 0.3 0.3 )
			blendFunc GL_ONE GL_ONE
	}
	{
		map textures/arevass/cubemap.jpg
			tcGen environment
			blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/mr_lights/strip_light_3000
{
	qer_editorimage	textures/mr_dev/lgt_base
		q3map_surfacelight 3000 	//mr.yeah! - org 2000
		//q3map_backSplash 0.05 23 //
		q3map_backSplash 0 0
		q3map_lightSubdivide 32		//mr.yeah!
		q3map_lightmapFilterRadius other 16 //mr.yeah!
		surfaceparm nolightmap
		surfaceparm nomarks

		{
			map textures/mr_dev/lgt_base
				rgbGen identity
		}
}

textures/mr_lights/strip_light_10000
{
	qer_editorimage	textures/mr_dev/lgt_base
		q3map_surfacelight 10000 	//mr.yeah! - org 2000
		//q3map_backSplash 0.05 23 //
		q3map_backSplash 0 0
		q3map_lightSubdivide 32		//mr.yeah!
		q3map_lightmapFilterRadius other 16 //mr.yeah!
		surfaceparm nolightmap
		surfaceparm nomarks

		{
			map textures/mr_dev/lgt_base
				rgbGen identity
		}
}

textures/mr_lights/wht_light_2000
{
	qer_editorimage	textures/mr_dev/wht
		q3map_surfacelight 2000 	//mr.yeah! - org 2000
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32		//mr.yeah!
		//q3map_lightmapFilterRadius other 16 //mr.yeah!
		surfaceparm nolightmap
		surfaceparm nomarks

		{
			map textures/mr_dev/wht
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}
textures/mr_lights/wht_light_20000
{
	qer_editorimage	textures/mr_dev/wht
		q3map_surfacelight 2000 	//mr.yeah! - org 2000
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32		//mr.yeah!
		//q3map_lightmapFilterRadius other 16 //mr.yeah!
		surfaceparm nolightmap
		surfaceparm nomarks
		surfaceparm trans

		{
			map textures/mr_dev/wht
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}
textures/mr_lights/wht_light_1000
{
	qer_editorimage	textures/mr_dev/wht
		q3map_surfacelight 1000 	//mr.yeah! - org 2000
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32		//mr.yeah!
		//q3map_lightmapFilterRadius other 16 //mr.yeah!
		surfaceparm nolightmap
		surfaceparm nomarks

		{
			map textures/mr_dev/wht
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}
textures/mr_lights/wht_light_1000_ns
{
	qer_editorimage	textures/mr_dev/wht
		q3map_surfacelight 1000 	//mr.yeah! - org 2000
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32		//mr.yeah!
		//q3map_lightmapFilterRadius other 16 //mr.yeah!
		surfaceparm nolightmap
		surfaceparm nomarks
		surfaceparm trans
		surfaceparm nonsolid
		{
			map textures/mr_dev/wht
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}

textures/mr_lights/wht_light_100_ns
{
	qer_editorimage	textures/mr_dev/wht
		q3map_surfacelight 100 	//mr.yeah! - org 2000
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32		//mr.yeah!
		//q3map_lightmapFilterRadius other 16 //mr.yeah!
		surfaceparm nolightmap
		surfaceparm nomarks
		surfaceparm trans
		surfaceparm nonsolid
		{
			map textures/mr_dev/wht
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}

textures/mr_lights/wht_trans_ns
{
	qer_editorimage	textures/mr_dev/wht
		surfaceparm nolightmap
		surfaceparm nomarks
		surfaceparm trans
		surfaceparm nonsolid
		{
			map textures/mr_dev/wht
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}

textures/mr_lights/org_trans_ns
{
	qer_editorimage	textures/mr_dev/org
		surfaceparm nolightmap
		surfaceparm nomarks
		surfaceparm trans
		surfaceparm nonsolid
		{
			map textures/mr_dev/org
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}

textures/mr_lights/wht_light_500
{
	qer_editorimage	textures/mr_dev/wht
		q3map_surfacelight 500 	//mr.yeah! - org 2000
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32		//mr.yeah!
		//q3map_lightmapFilterRadius other 16 //mr.yeah!
		surfaceparm nolightmap
		surfaceparm nomarks

		{
			map textures/mr_dev/wht
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}
textures/mr_lights/wht_light_200
{
	qer_editorimage	textures/mr_dev/wht
		q3map_surfacelight 200
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32		//mr.yeah!
		//q3map_lightmapFilterRadius other 16 //mr.yeah!
		surfaceparm nolightmap
		surfaceparm nomarks

		{
			map textures/mr_dev/wht
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}
textures/mr_lights/wht_bright
{
	qer_editorimage	textures/wht
		surfaceparm nolightmap

		{
			map textures/wht.jpg
		}
}
textures/mr_flames/flame
{
	surfaceparm nomarks
		surfaceparm nolightmap
		surfaceparm nonsolid
		surfaceparm trans
		cull none
		//q3map_surfacelight 6500
		q3map_surfacelight 500
		qer_editorimage textures/mr_sfx/flame1.jpg
		qer_trans 0.5
		{
			animMap 10 textures/mr_sfx/flame1.jpg textures/mr_sfx/flame2.jpg textures/mr_sfx/flame3.jpg textures/mr_sfx/flame4.jpg textures/mr_sfx/flame5.jpg textures/mr_sfx/flame6.jpg textures/mr_sfx/flame7.jpg textures/mr_sfx/flame8.jpg
				blendFunc GL_ONE GL_ONE
				rgbGen wave inverseSawtooth 0 1 0 10

		}
	{
		animMap 10 textures/mr_sfx/flame2.jpg textures/mr_sfx/flame3.jpg textures/mr_sfx/flame4.jpg textures/mr_sfx/flame5.jpg textures/mr_sfx/flame6.jpg textures/mr_sfx/flame7.jpg textures/mr_sfx/flame8.jpg textures/mr_sfx/flame1.jpg
			blendFunc GL_ONE GL_ONE
			rgbGen wave sawtooth 0 1 0 10
	}

	{
		map textures/mr_sfx/flameball.jpg
			blendFunc GL_ONE GL_ONE
			rgbGen wave sin .6 .2 0 .6
	}

}
textures/mr_flames/flame_nolight
{
	surfaceparm nomarks
		surfaceparm nolightmap
		surfaceparm nonsolid
		surfaceparm trans
		cull none
		qer_editorimage textures/mr_sfx/flame1.jpg

		{
			animMap 10 textures/mr_sfx/flame1.jpg textures/mr_sfx/flame2.jpg textures/mr_sfx/flame3.jpg textures/mr_sfx/flame4.jpg textures/mr_sfx/flame5.jpg textures/mr_sfx/flame6.jpg textures/mr_sfx/flame7.jpg textures/mr_sfx/flame8.jpg
				blendFunc GL_ONE GL_ONE
				rgbGen wave inverseSawtooth 0 1 0 10

		}
	{
		animMap 10 textures/mr_sfx/flame2.jpg textures/mr_sfx/flame3.jpg textures/mr_sfx/flame4.jpg textures/mr_sfx/flame5.jpg textures/mr_sfx/flame6.jpg textures/mr_sfx/flame7.jpg textures/mr_sfx/flame8.jpg textures/mr_sfx/flame1.jpg
			blendFunc GL_ONE GL_ONE
			rgbGen wave sawtooth 0 1 0 10
	}

	{
		map textures/mr_sfx/flameball.jpg
			blendFunc GL_ONE GL_ONE
			rgbGen wave sin .6 .2 0 .6
	}

}
textures/mr_fabric/fabric1
{
	qer_editorimage textures/mr_fabric/mr_fabric
		//surfaceparm nonsolid
		surfaceparm playerclip
		surfaceparm lightfilter
		surfaceparm trans
		cull none
		{
			map textures/mr_fabric/mr_fabric
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			depthFunc equal
			rgbGen identity
	}
}
textures/mr_metal/mr_fencetrans
{
	qer_editorimage textures/mr_fence/mr_fence01.tga
		surfaceparm	trans
		surfaceparm alphashadow
		surfaceparm nomarks
		surfaceparm playerclip
		nopicmip
		cull none
		{
			map textures/mr_fence/mr_fence01.tga
				blendFunc GL_ONE GL_ZERO
				alphaFunc GE128
				depthWrite
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			depthFunc equal
			rgbGen identity
	}
}
textures/mr_metal/mr_fencethick
{
	qer_editorimage textures/mr_fence/mr_fence02.tga
		surfaceparm	trans
		surfaceparm alphashadow
		surfaceparm nomarks
		surfaceparm playerclip
		nopicmip
		polygonoffset
		cull none
		{
			map textures/mr_fence/mr_fence02.tga
				blendFunc GL_ONE GL_ZERO
				alphaFunc GE128
				depthWrite
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			depthFunc equal
			rgbGen identity
	}
}
textures/mr_metal/mr_metalholeplain
{
	qer_editorimage textures/mr_metal/mr_metalholes.tga
		surfaceparm	trans
		surfaceparm alphashadow
		surfaceparm nomarks
		surfaceparm playerclip
		nopicmip
		cull none
		{
			map textures/mr_metal/mr_metalholes.tga
				blendFunc GL_ONE GL_ZERO
				alphaFunc GE128
				depthWrite
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			depthFunc equal
			rgbGen identity
	}
}
textures/mr_metal/mr_metalholeside
{
	qer_editorimage textures/mr_metal/mr_metalholes_sideend.tga
		surfaceparm	trans
		surfaceparm alphashadow
		surfaceparm nomarks
		surfaceparm playerclip
		nopicmip
		cull none
		{
			map textures/mr_metal/mr_metalholes_sideend.tga
				blendFunc GL_ONE GL_ZERO
				alphaFunc GE128
				depthWrite
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			depthFunc equal
			rgbGen identity
	}
}
textures/mr_metal/mr_metalholestop
{
	qer_editorimage textures/mr_metal/mr_metalholes_topend.tga
		surfaceparm	trans
		surfaceparm alphashadow
		surfaceparm nomarks
		surfaceparm playerclip
		nopicmip
		cull none
		{
			map textures/mr_metal/mr_metalholes_topend.tga
				blendFunc GL_ONE GL_ZERO
				alphaFunc GE128
				depthWrite
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			depthFunc equal
			rgbGen identity
	}
}
textures/mr_metal/mr_gold
{
	qer_editorimage textures/mr_metal/mr_brass_scratch.jpg

	{
		map textures/mr_metal/mr_brass_scratch.jpg
			rgbGen vertex
	}
	{
		map textures/mr_sfx/mr_brass_fx.tga
			rgbGen identity
			tcGen environment
			blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
			rgbgen const ( 0.8 0.8 0.3 )
	}
	{
		map $lightmap
			blendfunc filter
			rgbgen identity
	}
}
textures/mr_metal/mr_tin_rail
{
	qer_editorimage textures/mr_metal/mr_metalbrushed03.jpg

	{
		map textures/mr_metal/mr_metalbrushed03.jpg
			rgbGen identity
			rgbgen const ( 0.5 0.5 0.5 )
	}

	{
		map textures/mr_sfx/mr_tin_fx.tga
			rgbGen identity
			tcGen environment
			blendFunc GL_ONE GL_ONE
	}
	{
		map $lightmap
			blendfunc filter
			rgbgen identity
	}
}
textures/mr_metal/mr_gold_rail
{
	qer_editorimage textures/mr_metal/mr_metalbrushed04.jpg
		q3map_shadeangle 60
		{
			map textures/mr_metal/mr_metalbrushed04.jpg
				rgbGen identity
				rgbgen const ( 0.5 0.5 0.5 )
		}

	{
		map textures/mr_sfx/mr_gold_fx.tga
			rgbGen identity
			tcGen environment
			blendFunc GL_ONE GL_ONE
			//alphaFunc GE128
	}
	{
		map $lightmap
			blendfunc filter
			rgbgen identity
	}
}

textures/mr_metal/mr_copper_rail
{
	qer_editorimage textures/mr_metal/mr_metalbrushed05.jpg

	{
		map textures/mr_metal/mr_metalbrushed05.jpg
			rgbGen identity
			rgbgen const ( 0.5 0.5 0.5 )
	}

	{
		map textures/mr_sfx/mr_copper_fx.tga
			rgbGen identity
			tcGen environment
			blendFunc GL_ONE GL_ONE
			//alphaFunc GE128
	}
	{
		map $lightmap
			blendfunc filter
			rgbgen identity
	}
}

textures/mr_metal/mr_b_gold
{

	Nomipmaps
	{
		map models/flags/b_gold.tga
		rgbGen lightingDiffuse 

	}
	{

		map gfx/misc/sun.jpg             
			tcgen environment
		rgbGen lightingDiffuse 
		tcmod entitytranslate
		blendfunc GL_ONE GL_ONE
	}
	{
		map models/flags/b_gold.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen lightingDiffuse 

	}
}

textures/mr_decals/mr_wall0
{
	qer_editorimage textures/mr_decals/mr_indust_0.tga
		surfaceparm	trans
		surfaceparm nonsolid
		polygonOffset
		nopicmip
		{
			map textures/mr_decals/mr_indust_0.tga
				blendFunc GL_ONE GL_ZERO
				alphaFunc GE128
				depthWrite
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			depthFunc equal
			rgbGen identity
	}
}
textures/mr_decals/mr_wall1
{
	qer_editorimage textures/mr_decals/mr_indust_1.jpg
		surfaceparm	trans
		surfaceparm nonsolid
		surfaceparm nomarks
		polygonOffset
		nopicmip
		{
			map textures/mr_decals/mr_indust_1.jpg
				blendfunc gl_dst_color gl_src_color
		}
}
textures/mr_decals/mr_leaking_large1
{
	qer_editorimage textures/mr_decals/mr_leaking_large1.jpg
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm nomarks
		polygonOffset
		nopicmip
		{
			map textures/mr_decals/mr_leaking_large1.jpg
				blendfunc gl_dst_color gl_src_color
		}
}
textures/mr_decals/b_marking_1
{
	qer_editorimage textures/mr_decals/pxl_b_o.tga
		q3map_bouncescale 0
		//surfaceparm trans
		//surfaceparm detail
		surfaceparm nonsolid
		//surfaceparm nomarks
		polygonOffset
		cull disable
		//nopicmip
		{
			map textures/mr_decals/pxl_b_o.tga
				blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
				depthWrite
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_SRC_COLOR
			//blendFunc GL_ZERO GL_ONE //bright B
			depthFunc equal
			rgbGen identity
	}
}

textures/mr_sfx/bomb_a
{
	qer_editorimage textures/mr_sfx/bombspot_a.tga
		surfaceparm trans
		surfaceparm nolightmap
		surfaceparm nonsolid
		polygonOffset
		{
			clampmap textures/mr_sfx/bombspot_a.tga
				tcMod stretch sin 1 0.80 0.3 1.06
				//tcMod rotate 30
				//            func base amplitude phase freq
				alphagen wave sin  2    1         .2   1.06
				blendfunc blend
		}
}

textures/mr_sfx/bomb_a_2
{
	qer_editorimage textures/mr_sfx/bombspot_a_2.tga
		surfaceparm trans
		surfaceparm nolightmap
		surfaceparm nonsolid
		polygonOffset
		{
			clampmap textures/mr_sfx/bombspot_a.tga
				tcMod stretch sin 1.2 0.80 0.3 1.06
				//tcMod rotate 30
				//            func base amplitude phase freq
				alphagen wave sin  2    1         .2   1.06
				blendfunc blend
		}
}

textures/mr_sfx/bomb_b
{
	qer_editorimage textures/mr_sfx/bombspot_a.tga
		surfaceparm trans
		surfaceparm nolightmap
		surfaceparm nonsolid
		polygonOffset
		{
			clampmap textures/mr_sfx/bombspot_b.tga
				tcMod stretch sin 1 0.80 0.3 1.06
				//tcMod rotate 30
				//            func base amplitude phase freq
				alphagen wave sin  2    1         .2   1.06
				blendfunc blend
		}
}

textures/mr_decals/a_arrow
{
	qer_alphaFunc gequal 0.5
		q3map_lightsubdivide 32
		q3map_bouncescale 0
		surfaceparm nomarks
		surfaceparm nonsolid
		surfaceparm trans
		polygonOffset
		noPicMip
		qer_editorimage textures/mr_decals/mr_spray_a_arrow_h.tga

		{
			map textures/mr_decals/mr_spray_a_arrow_h
				blendfunc blend
				//		depthwrite
				//		rgbGen identity
		}
	//	{
	//		map $lightmap
	//		blendFunc GL_DST_COLOR GL_SRC_COLOR
	//		depthFunc equal
	//		rgbGen identity
	//	}
}
textures/mr_decals/b_arrow
{
	qer_alphaFunc gequal 0.5
		q3map_bouncescale 0
		surfaceparm nomarks
		surfaceparm nonsolid
		surfaceparm trans
		polygonOffset
		noPicMip
		qer_editorimage textures/mr_radiant/mr_spray_b_arrow_h

		{
			map textures/mr_decals/mr_spray_b_arrow_h
				blendfunc blend
				//		depthwrite
				//		rgbGen identity
		}
	//	{
	//		map $lightmap
	//		blendFunc GL_DST_COLOR GL_SRC_COLOR
	//		depthFunc equal
	//		rgbGen identity
	//	}
}

textures/mr_decals/arrows_drip
{
	qer_alphaFunc gequal 0.5
		q3map_bouncescale 0
		surfaceparm nomarks
		surfaceparm nonsolid
		surfaceparm trans
		polygonOffset
		noPicMip
		qer_editorimage textures/mr_radiant/mr_spray_arrows_drip

		{
			map textures/mr_decals/mr_spray_arrows_drip
				blendfunc blend
		}
}

textures/mr_decals/mr_brush_arrows_r
{
	qer_alphaFunc gequal 0.5
		q3map_bouncescale 0
		surfaceparm nomarks
		surfaceparm nonsolid
		surfaceparm trans
		polygonOffset
		noPicMip
		qer_editorimage textures/mr_decals/mr_brush_arrows_r

		{
			map textures/mr_decals/mr_brush_arrows_r
				blendfunc blend
		}
}

textures/mr_decals/mr_brush_arrows_b
{
	qer_alphaFunc gequal 0.5
		q3map_bouncescale 0
		surfaceparm nomarks
		surfaceparm nonsolid
		surfaceparm trans
		polygonOffset
		noPicMip
		qer_editorimage textures/mr_decals/mr_brush_arrows_w

		{
			map textures/mr_decals/mr_brush_arrows_b
				blendfunc blend
		}
}

textures/mr_decals/mr_brush_arrows_w
{
	qer_alphaFunc gequal 0.5
		q3map_bouncescale 0
		surfaceparm nomarks
		surfaceparm nonsolid
		surfaceparm trans
		polygonOffset
		noPicMip
		qer_editorimage textures/mr_decals/mr_brush_arrows_w

		{
			map textures/mr_decals/mr_brush_arrows_w
				blendfunc blend
		}
}

textures/mr_decals/mr_brush_letters
{
	qer_alphaFunc gequal 0.5
		q3map_bouncescale 0
		surfaceparm nomarks
		surfaceparm nonsolid
		surfaceparm trans
		polygonOffset
		noPicMip
		qer_editorimage textures/mr_radiant/mr_brush_letters

		{
			map textures/mr_decals/mr_brush_letters
				blendfunc blend
		}
}

textures/mr_decals/x_marker
{
	qer_alphaFunc gequal 0.5
		q3map_bouncescale 0
		surfaceparm nomarks
		surfaceparm nonsolid
		surfaceparm trans
		polygonOffset
		noPicMip
		qer_editorimage textures/mr_radiant/mr_spray_x_drip

		{
			map textures/mr_decals/mr_spray_x
				blendfunc blend
		}
}
textures/mr_sfx/x_green_glow
{
	surfaceparm nomarks
		surfaceparm nolightmap
		surfaceparm nonsolid
		surfaceparm trans
		polygonOffset
		qer_editorimage textures/mr_sfx/x_spray_gn.tga

		{
			map textures/mr_sfx/x_spray_gn.tga
				blendFunc blend
				rgbGen wave sin 0.7 0.3 0 0.265
		}

}
textures/mr_panels/bomb_a_right
{
	qer_editorimage	textures/mr_panels/marker_a_right
		q3map_surfacelight 2000
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32
		surfaceparm nolightmap
		nopicmip

		{
			map textures/mr_panels/marker_a_right
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}
textures/mr_panels/bomb_a_left
{
	qer_editorimage	textures/mr_panels/marker_a_left
		q3map_surfacelight 2000
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32
		surfaceparm nolightmap
		nopicmip

		{
			map textures/mr_panels/marker_a_left
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}
textures/mr_panels/bomb_a_spot
{
	qer_editorimage	textures/mr_panels/marker_a_spot
		q3map_surfacelight 2000
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32
		surfaceparm nolightmap
		nopicmip

		{
			map textures/mr_panels/marker_a_spot
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}
textures/mr_panels/bomb_b_right
{
	qer_editorimage	textures/mr_panels/marker_b_right
		q3map_surfacelight 2000
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32
		surfaceparm nolightmap
		nopicmip

		{
			map textures/mr_panels/marker_b_right
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}
textures/mr_panels/bomb_b_left
{
	qer_editorimage	textures/mr_panels/marker_b_left
		q3map_surfacelight 2000
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32
		surfaceparm nolightmap
		nopicmip

		{
			map textures/mr_panels/marker_b_left
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}
textures/mr_panels/bomb_b_spot
{
	qer_editorimage	textures/mr_panels/marker_b_spot
		q3map_surfacelight 2000
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32
		surfaceparm nolightmap
		nopicmip

		{
			map textures/mr_panels/marker_b_spot
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}
textures/mr_panels/bomb_a_signs
{
	qer_editorimage	textures/mr_panels/signs_a_s
		q3map_surfacelight 800
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32
		surfaceparm nolightmap
		nopicmip

		{
			map textures/mr_panels/signs_a_s
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}

textures/mr_panels/bomb_b_signs
{
	qer_editorimage	textures/mr_panels/signs_b_s
		q3map_surfacelight 800
		//q3map_backSplash 0.05 23 //
		q3map_lightSubdivide 32
		surfaceparm nolightmap
		nopicmip

		{
			map textures/mr_panels/signs_b_s
				rgbGen identity
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			rgbGen identity
	}
}

textures/mr_sfx/clear_glass
{
	qer_editorimage textures/mr_sfx/mr_rnr_env1
	qer_trans 0.50
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm trans
	{
		map textures/mr_dev/blk_25.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map textures/mr_dev/cld_env
		blendfunc blend
		//rgbGen identity
		//rgbgen const ( 0.5 0.5 0.5 )
		tcGen environment
		alphagen const 0.4
	}
}

textures/mr_sfx/glass_mirror_lbsky2_env
{
	qer_editorimage env\lbsky2\lbsky2_up
	qer_trans 0.95
	surfaceparm nolightmap
	surfaceparm nodlight
	//surfaceparm trans
	//{
		//map textures/mr_dev/blk.tga
		//blendfunc blend
		//rgbGen identity
	//}
	{
            map env\lbsky2\lbsky2_up
            tcGen environment
            //blendfunc blend
            //blendfunc gl_src_alpha gl_src_color
            //rgbGen identity
            //rgbGen identity
    }
    //{
    //  map $lightmap
    //  blendFunc filter
    //  rgbGen identity
    //}
}

textures/mr_sfx/glass_mirror_lbsky2_env_2
{
	qer_editorimage env\lbsky2\lbsky2_up
	qer_trans 0.95
	surfaceparm nolightmap
	surfaceparm nodlight
	{
            map env\lbsky2\lbsky2_up
            tcGen environment
    }
}

textures/mr_sfx/black_crystal
{
	qer_editorimage textures/mr_sfx/mr_rnr_env1
	qer_trans 0.95
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm trans
	{
		map textures/mr_dev/blk.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map textures/mr_dev/cld_env_alpha
		//rgbGen identity
		//rgbgen const ( 0.5 0.5 0.5 )
		tcGen environment
		blendFunc GL_SRC_ALPHA GL_ONE
	}
}

textures/mr_sfx/black_mirror
{
	qer_editorimage textures/mr_sfx/mr_rnr_env1
	qer_trans 0.95
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm trans
	{
		map textures/mr_dev/blk.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map textures/mr_dev/cld_env
		blendfunc blend
		//rgbGen identity
		//rgbgen const ( 0.5 0.5 0.5 )
		tcGen environment
		alphagen const 0.9
	}
}

textures/mr_sfx/rnr_glass
{
	qer_editorimage textures/mr_dev/blk
	qer_trans 0.75
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm trans
	{
		map textures/mr_dev/blk_50.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map textures/mr_sfx/mr_rnr_env1
		blendfunc blend
		//rgbGen identity
		//rgbgen const ( 0.5 0.5 0.5 )
		tcGen environment
		alphagen const 0.2
	}
}

textures/mr_sfx/rnr_glass2
{
	qer_editorimage textures/mr_dev/blk_50.tga
	qer_trans 0.50
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm trans
	{
		map textures/mr_dev/blk_50.tga
		blendfunc blend
		rgbGen identity
	}
}

textures/mr_sfx/smoked_glass
{
	qer_editorimage textures/mr_dev/cld_alpha_black
	qer_trans 0.50
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm trans
	{
		map textures/mr_dev/cld_alpha_black.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/mr_dev/cld_env
		blendfunc add
		//rgbGen identity
		rgbgen const ( 0.5 0.5 0.5 )
		tcGen environment
	}
}

textures/mr_sfx/smoked_glass_2
{
	qer_editorimage textures/mr_dev/cld_alpha_black
	qer_trans 0.50
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm trans
	{
		map textures/mr_dev/cld_alpha_black.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/mr_sfx/blur_dot
		blendfunc blend
		//rgbGen identity
		rgbgen const ( 0.5 0.5 0.5 )
		tcGen environment
	}
}

textures/mr_sfx/smoked_glass_light
{
	qer_editorimage textures/mr_dev/cld_alpha_black
		qer_trans 0.50
		surfaceparm nolightmap
		surfaceparm nodlight
		surfaceparm trans
		{
			map textures/mr_dev/cld_alpha_black
				blendfunc filter
				rgbGen identity
		}
	{
		map textures/mr_dev/cld_env
			blendfunc add
			//rgbGen identity
			rgbgen const ( 0.3 0.3 0.35 )
			tcGen environment
	}
}

textures/mr_sfx/grid_glass
{
	qer_editorimage textures/mr_sfx/mr_wavygrid
	qer_trans 0.50
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm trans
	{
		map textures/mr_dev/cld_alpha_black.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/mr_sfx/mr_wavygrid.jpg
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/mr_dev/cld_env
		blendfunc add
		//rgbGen identity
		rgbgen const ( 0.5 0.5 0.5 )
		tcGen environment
	}
}

textures/mr_sfx/smoked_glass_cloudenv
{
	qer_editorimage env\lbsky2\lbsky2_up
	qer_trans 0.50
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm trans
	{
		map textures/mr_dev/cld_alpha_black.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/mr_dev/cld_env
		blendfunc add
		//rgbGen identity
		rgbgen const ( 0.7 0.7 0.7 )
		tcGen environment
	}
	    {
                map env\lbsky2\lbsky2_up
                blendfunc filter
                rgbGen identity
                tcGen environment
        }
}

textures/mr_sfx/smoked_glass_cloudenv_add
{
	qer_editorimage textures/mr_dev/cld_alpha_black
	qer_trans 0.50
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm trans
	{
		map textures/mr_dev/cld_alpha_black.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/mr_dev/cld_env
		blendfunc add
		//rgbGen identity
		rgbgen const ( 0.6 0.6 0.6 )
		tcGen environment
	}
	    {
                map env\lbsky2\lbsky2_up
                blendfunc add
                rgbgen const ( 0.6 0.6 0.6 )
                tcGen environment
        }
}

textures/mr_sfx/smoked_glass_cloudenv_blend
{
	qer_editorimage textures/mr_dev/cld_alpha_black
	qer_trans 0.50
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm trans
	{
		map textures/mr_dev/cld_alpha_black.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/mr_dev/cld_env
		blendfunc add
		//rgbGen identity
		rgbgen const ( 0.6 0.6 0.6 )
		tcGen environment
	}
	    {
                map env\lbsky2\lbsky2_up
                blendfunc blend
                rgbGen identity
                tcGen environment
        }
}

textures/mr_dev/mr_dev_glass_unbrk
{
	qer_editorimage textures/mr_dev/mr_devgrid256_white
	qer_trans 0.50
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm trans
	{
		map textures/mr_dev/mr_devgrid256_white.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/mr_dev/cld_env
		blendfunc add
		//rgbGen identity
		rgbgen const ( 0.5 0.5 0.5 )
		tcGen environment
	}
}

textures/mr_dev/mr_dev_glass_br
{
	qer_editorimage textures/mr_dev/mr_devgrid256_white
	qer_trans 0.30
	//surfaceparm nodraw
	surfaceparm nolightmap
	//surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nodamage
	surfaceparm nomarks
	//surfaceparm noimpact
	surfaceparm playerclip
	{
		map textures/mr_dev/mr_devgrid256_white.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/mr_dev/cld_env
		blendfunc add
		//rgbGen identity
		//rgbgen const ( 0.5 0.5 0.5 )
		tcGen environment
	}
}

textures/mr_dev/pxl_tile_white_nomarks
{
	qer_editorimage textures/mr_dev/pxl_tile_white
		surfaceparm nomarks
		{
			map textures/mr_dev/pxl_tile_white
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			depthFunc equal
			rgbGen identity
	}
}
textures/mr_dev/pxl_shutters
{
	qer_editorimage textures/mr_dev/pxl_tile_white
		surfaceparm nonsolid
		//surfaceparm playerclip
		//surfaceparm lightfilter
		//surfaceparm trans
		cull none
		{
			map textures/mr_dev/pxl_tile_white
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			depthFunc equal
			rgbGen identity
	}
}
textures/mr_dev/pxl_fabric
{
	qer_editorimage textures/mr_dev/pxl_tile_yellow
		//surfaceparm nonsolid
		//surfaceparm playerclip
		surfaceparm lightfilter
		surfaceparm trans
		//cull none
		{
			map textures/mr_dev/pxl_tile_yellow
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			depthFunc equal
			rgbGen identity
	}
}
textures/mr_dev/pxl_metal
{
	qer_editorimage textures/mr_dev/pxl_tile_lightgrey
		surfaceparm metalstep
		{
			map textures/mr_dev/pxl_tile_lightgrey
		}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			depthFunc equal
			rgbGen identity
	}
}

textures/mr_dev/mr_hedge_dev
{
	qer_editorimage textures/mr_dev/mr_devgrid256_green
	qer_trans 0.90
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm playerclip
	{
		map textures/mr_dev/mr_devgrid256_green
	}
	{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			depthFunc equal
			rgbGen identity
	}
}

textures/mr_decals/decal_clear_calm1
	{
		qer_editorimage textures/mr_decals/mr_pool3d_3e.tga
		qer_trans .5
		//q3map_globaltexture
		polygonOffset
		surfaceparm trans
		surfaceparm nonsolid
		//surfaceparm lightfilter
	
		//cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/mr_decals/mr_pool3d_5e.tga
			blendFunc blend
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/mr_decals/mr_pool3d_5e.tga
			blendFunc blend
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}

	
		//{
		//	map $lightmap
		//	blendFunc GL_dst_color GL_zero
		//	rgbgen identity		
		//}
	
	

}

textures/mr_wall/mr_med4_nonsolid
{
	qer_editorimage textures/mr_wall/mr_med4
	surfaceparm nonsolid
		{ 
			map textures/mr_wall/mr_med4
		}
		{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			depthFunc equal
			rgbGen identity
	}
}

textures/mr_metal/bluemetalsupport2e_rusty
{
	qer_editorimage textures/base_wall/bluemetalsupport2e_rusty.tga
	{
		map textures/base_wall/chrome_env.jpg
	    rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/base_wall/bluemetalsupport2e_rusty.tga
		blendfunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/mr_floor/darkmarble
{
	qer_editorimage textures/mr_floor/mr_marbletiles03
	q3map_tessSize 128
	{
		map textures/mr_sfx/tiles_stone_env.jpg
		rgbGen const ( 0.5 0.5 0.5 )
		tcGen environment
		tcmod scale .2 .2
	}
	{
		map textures/mr_floor/mr_marbletiles03
		blendfunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/mr_wall/mr_marbletiles_dark_s
{
	qer_editorimage textures/mr_wall/mr_marbletiles_dark_a.tga
	q3map_tessSize 128
	{
		map textures/mr_sfx/tiles_marble_env.jpg
	    rgbGen identity
		tcGen environment
		tcmod scale .08 .08
	}
	{
		map textures/mr_wall/mr_marbletiles_dark_a.tga
		blendfunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/mr_wall/mr_marbletiles_clear_s
{
	qer_editorimage textures/mr_wall/mr_marbletiles_clear_a.tga
	q3map_tessSize 128
	{
		map textures/mr_sfx/tiles_marble_env.jpg
	    rgbGen const ( 0.8 0.8 0.8 )

		tcGen environment
		tcmod scale .08 .08
	}
	{
		map textures/mr_wall/mr_marbletiles_clear_a.tga
		blendfunc add	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/mr_floor/mr_stonetiles03_s
{
	qer_editorimage textures/mr_floor/mr_stonetiles03.tga
	q3map_tessSize 128
	{
		map textures/mr_sfx/tiles_stone_env.jpg
	    rgbGen const ( 0.7 0.7 0.7 )
		tcGen environment
		tcmod scale .25 .25
	}
	{
		map textures/mr_floor/mr_stonetiles03.tga
		blendfunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/plant/palmLeaf
{
	    qer_trans .7
    nopicmip
    cull none
    //surfaceparm nolightmap
    //deformVertexes wave 150 sin 0 1 0 .4
    {
        map models/palm/palmLeaf.tga
        blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
        alphaFunc GE128
        depthWrite rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc GL_DST_COLOR GL_ZERO
        depthFunc equal
    }
}

textures/mr_dev/mr_dev_b8baad_nonsolid
{
	qer_editorimage textures/mr_dev/mr_dev_b8baadns
	surfaceparm nonsolid
		{ 
			map textures/mr_dev/mr_dev_b8baad
		}
		{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			depthFunc equal
			rgbGen identity
	}
}

textures/mr_dev/mr_dev_646f45_nonsolid
{
	qer_editorimage textures/mr_dev/mr_dev_646f45ns
	surfaceparm nonsolid
		{ 
			map textures/mr_dev/mr_dev_646f45
		}
		{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			depthFunc equal
			rgbGen identity
	}
}

textures/mr_dev/mr_dev_7c7d77_phong
{
	q3map_nonplanar
	q3map_shadeangle 100
	qer_editorimage textures/mr_dev/mr_dev_7c7d77p
		{ 
			map textures/mr_dev/mr_dev_7c7d77
		}
		{
		map $lightmap
			blendFunc GL_DST_COLOR GL_ZERO
			depthFunc equal
			rgbGen identity
	}
}