textures/mr_hotel/mr_sfx/bomb_a
{
	qer_editorimage textures/mr_sfx/bombspot_a.tga
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	polygonOffset
	{
		clampmap textures/mr_sfx/bombspot_a.tga
		tcMod stretch sin 2.6 0.80 0.3 1.06
		alphagen wave sin  2    1         .2   1.06
		blendfunc blend
	}
}

textures/mr_hotel/mr_sfx/bomb_b
{
	qer_editorimage textures/mr_sfx/bombspot_a.tga
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	polygonOffset
	{
		clampmap textures/mr_sfx/bombspot_b.tga
		tcMod stretch sin 2.6 0.80 0.3 1.06
		alphagen wave sin  2    1         .2   1.06
		blendfunc blend
	}
}

textures/mr_hotel/mr_smoked_glass1
{
	qer_editorimage textures/mr_metal/mr_shiny_env.tga
	qer_trans 0.50
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm trans
	{
		map textures/mr_dev/blk_50.tga
		blendfunc blend
		rgbGen identity
		alphaGen const 0.7
	}
	{
		map textures/mr_metal/mr_shiny_env.tga
		blendfunc add
		rgbgen const ( 0.2 0.2 0.2 )
		tcMod scale 3 3
		tcGen environment
	}
}

textures/mr_hotel/mr_smoked_glass2
{
	qer_editorimage textures/mr_metal/mr_shiny_env_red.tga
	qer_trans 0.50
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm trans
	{
		map textures/mr_dev/blk_50.tga
		blendfunc blend
	}
	{
		map textures/mr_metal/mr_shiny_env_red.tga
		blendfunc add
		tcGen environment
	}
}

textures/mr_hotel/mr_glass_brk_side
{
	qer_editorimage env/mr_foggy_sky/mr_foggy_sky_ft
	qer_trans 0.50
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm trans
	{
		map textures/mr_dev/blk_50.tga
		blendfunc blend
	}
	{
		map textures/mr_metal/mr_shiny_env.tga
		blendfunc add
		rgbgen const ( 0.35 0.25 0.20 )
		tcMod scale 3 3
		alphagen const 0.3
		tcGen environment
	}
}

models/ziba/bark01
{
	q3map_material	SolidWood
	q3map_onlyvertexlighting
	{
		map models/ziba/bark01
		rgbGen identity
	}
}

models/ziba/leaves01
{
	qer_trans 1.0
	cull	twosided
	{
		map models/ziba/leaves01
		alphaFunc GE128
		blendFunc GL_ONE GL_ZERO
		depthWrite
	}
	{ 
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

models/ziba/plant_01
{
	qer_trans 1.0
	cull	twosided
	{
		map models/ziba/plant_01
		alphaFunc GE128
		blendFunc GL_ONE GL_ZERO
		depthWrite
	}
	{ 
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

models/ziba/plant_02
{
	q3map_shadeangle 90
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	qer_trans 1.0
	nopicmip
	cull	none
	{
		map models/ziba/plant_02.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{ 
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/mr_hotel/mr_metal/mr_rough_bronze
{
	qer_editorimage textures/mr_metal/mr_bronze_base2.tga
	surfaceparm nodlight
	{
		map textures/mr_metal/mr_shiny_env.tga
		tcGen environment
		tcmod scale 2 2
	}
	{
		map textures/mr_metal/mr_dirty_overlay.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map textures/mr_metal/mr_bronze_base2.tga
		blendfunc GL_DST_COLOR GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
	}
}

textures/mr_hotel/mr_lights/mr_washi_lantern_face_s
{
	qer_editorimage textures/mr_lights/mr_washi_lantern_face3
	q3map_surfacelight 	800
	q3map_lightRGB 240 180 100
	q3map_backSplash 0 0
	surfaceparm nolightmap	
	{
		map textures/mr_lights/mr_washi_lantern_face3
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/mr_hotel/mr_rock_03_s
{
	q3map_nonplanar
	q3map_shadeangle 170
	qer_editorimage textures/mr_mat/mr_rock_03
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mr_mat/mr_rock_03
		blendFunc filter
	}
}

textures/mr_hotel/mr_rock_04_s
{
	q3map_nonplanar
	q3map_shadeangle 170
	qer_editorimage textures/mr_mat/mr_rock_04
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mr_mat/mr_rock_04
		blendFunc filter
	}
}

textures/mr_hotel/mr_moss_s
{
	q3map_nonplanar
	q3map_shadeangle 170
	qer_editorimage textures/terrain_soc/ter_moss1
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/terrain_soc/ter_moss1
		blendFunc filter
	}
}

textures/mr_hotel/mr_mat/mr_marble_06_s
{
	qer_editorimage textures/mr_mat/mr_marble_06
	{
		map textures/mr_mat/mr_marble_06
		rgbGen identity
	}
	{
		map textures/mr_sfx/tiles_marble_env.jpg
		blendFunc add
		tcGen environment
		tcmod scale .08 .08
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/mr_hotel/mr_fabric/mr_fabric_02_s
{
	qer_editorimage textures/mr_fabric/mr_fabric_02
	surfaceparm lightfilter
	surfaceparm trans
	cull none
	{
		map textures/mr_fabric/mr_fabric_02
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/mr_hotel/mr_bamboo_01_s
{
	//surfaceparm nonsolid
	surfaceparm nomarks
	q3map_nonplanar
	q3map_shadeangle 170
	qer_editorimage textures/mr_nature/mr_bamboo_01
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/mr_nature/mr_bamboo_01
		blendFunc filter
	}
}

textures/mr_hotel/mr_surfacelight_org_4000
{
	qer_editorimage	textures/mr_dev/org_lg
	q3map_surfacelight 	4000
	q3map_lightRGB 250 170 80
	q3map_backSplash 0 0
	q3map_lightSubdivide 8
	surfaceparm nolightmap
	surfaceparm nomarks

	{
		map textures/mr_dev/org_lg
		rgbGen identity
	}
}

textures/mr_hotel/calm_water
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	
	cull disable
	{ 
		map textures/liquids/pool3d_5e.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}	
	{ 
		map textures/liquids/pool3d_3e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}	
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/mr_hotel/mr_waterfall
{
	qer_editorimage textures/yanzl_resort/water_falling.jpg
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	qer_trans .5
	cull none
	tesssize 64
	{
		map textures/yanzl_resort/water_falling.jpg
		rgbGen identity
		tcMod Scroll 0 -1.75
		tcMod turb 0 .1 0 .1
		blendFunc GL_dst_color GL_one
	}
	{
		map textures/yanzl_resort/water_falling.jpg
		rgbGen identity
		tcMod Scroll 0 -2.3
		//tcMod turb 0 .75 0 .1
		blendFunc GL_dst_color GL_one
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		//		depthFunc equal
	}
}

textures/mr_hotel/fern
{
	q3map_forceMeta
	qer_editorimage models/mapobjects/fern.tga
	qer_trans 0.99
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	q3map_shadeangle 50
	q3map_nonplanar

	cull none
	{
		map models/mapobjects/fern.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}		
}

textures/mr_hotel/mr_bubbles
{
	qer_alphafunc greater 0.5
	qer_trans 0.99
	qer_editorimage textures/mr_liquids/mr_bubbles.jpg
	surfaceparm trans	
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	nopicmip	
	cull none
	tessSize	32
	//deformvertexes normal 0.2 0.2
	//deformvertexes wave 8 sin 0 1 0 0.6 //wave div(wave spread) func base amplitude phase freq
	{
		map textures/mr_liquids/mr_bubbles.jpg
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen vertex
		tcMod Scroll 0 -3
	}
}

// S K Y B O X

textures/mr_hotel/facade_cloudenv
{
	qer_editorimage env/mr_foggy_sky/mr_foggy_sky_ft
	surfaceparm nodlight
	surfaceparm trans
	surfaceparm slick
	{
		map $lightmap
		rgbGen identityLighting
	}
	{
		map env/mr_foggy_sky/mr_foggy_sky_ft
		rgbgen const ( 0.8 0.8 0.8 )
		blendFunc filter
		tcGen environment
	}
	{
		map env/mr_foggy_sky/mr_foggy_sky_ft
		rgbgen const ( 0.6 0.6 0.6 )
		blendFunc add
		tcGen environment
	}

}

textures/mr_hotel/facade_cloudenv2
{
	qer_editorimage env/mr_foggy_sky/mr_foggy_sky_rt
	qer_trans 0.99
	surfaceparm nodlight
	surfaceparm trans
	surfaceparm slick
	{
		map $lightmap
		rgbGen identityLighting
	}
	{
		map env/mr_foggy_sky/mr_foggy_sky_ft
		rgbgen const ( 0.8 0.8 0.8 )
		tcMod scale 0.9 0.9
		blendFunc filter
		tcGen environment
	}
	{
		map env/mr_foggy_sky/mr_foggy_sky_ft
		rgbgen const ( 0.6 0.6 0.6 )
		tcMod scale 0.9 0.9
		blendFunc add
		tcGen environment
	}
}

textures/mr_hotel/mr_skies/mr_foggy_sky
{
	qer_editorimage env/mr_foggy_sky/mr_foggy_sky_up
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm sky
	skyparms env/mr_foggy_sky/mr_foggy_sky 720 -
	//												angle	elevation
	//				    R		  G		  B		  bright	yaw		  pitch	  dev	samp
	q3map_sunExt	0.847	0.749 	0.671	120.0	  165	48.822	0	  16
	q3map_lightmapFilterRadius 0 8
	q3map_skylight 100 3
}

textures/mr_hotel/building_side_a
{
	qer_editorimage textures/rick_agency/glasstile.jpg
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/rick_agency/glasstile.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map env/mr_foggy_sky/mr_foggy_sky_dn
		blendFunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identityLighting
		alphaGen oneMinusVertex
	}
}

textures/mr_hotel/building_side_glass_a
{
	qer_editorimage env/mr_foggy_sky/mr_foggy_sky_ft
	nopicmip
	{
		map $lightmap
		rgbGen identity
	}
	{
		map env/mr_foggy_sky/mr_foggy_sky_ft
		rgbgen const ( 0.8 0.8 0.8 )
		tcMod scale 0.9 0.9
		blendFunc filter
		tcGen environment
	}
	{
		map env/mr_foggy_sky/mr_foggy_sky_ft
		rgbgen const ( 0.6 0.6 0.6 )
		tcMod scale 0.9 0.9
		blendFunc add
		tcGen environment
	}
	{
		map env/mr_foggy_sky/mr_foggy_sky_dn
		blendFunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identityLighting
		alphaGen oneMinusVertex
	}
}

textures/mr_hotel/cloudpit_fog
{
	qer_editorimage env/mr_foggy_sky/mr_foggy_sky_dn
	nopicmip
	qer_trans 0.27
	q3map_bounceScale 0.0
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm fog
	fogparms ( .847	.749 .671 ) 20480
}